Summary:	A GNU collection of diff utilities
Name:		diffutils
Version:	3.10
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		http://www.gnu.org/software/diffutils/
Source0:	ftp://alpha.gnu.org/gnu/diffutils/diffutils-%{version}.tar.xz
Requires(pre):	info-install
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes: 	%{name} < %version


%description
Diffutils includes four utilities:  diff, cmp, diff3 and sdiff.

  * Diff compares two files and shows the differences, line by line.
  * The cmp command shows the offset and line numbers where two files differ,
    or cmp can show the characters that differ between the two files.
  * The diff3 command shows the differences between three files. Diff3 can be
    used when two people have made independent changes to a common original;
    diff3 can produce a merged file that contains both persons' changes and
    warnings about conflicts.
  * The sdiff command can be used to list diff of two files side by side or
    merge two files interactively.

Install diffutils if you need to compare text files.

%prep
%setup -q

%build
%configure2_5x

perl -pi -e 's/^(#define\s+DEFAULT_EDITOR_PROGRAM\s+)"ed"/$1"vi"/' config.h

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

%post 
%_install_info diff.info

%preun
%_remove_install_info diff.info

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/%{name}.info*


%changelog
* Wed May 24 2023 tex - 3.10-1pclos2023
- new version

* Tue Aug 03 2021 tex - 3.8-1pclos2021
- new version

